/*
 * sel | out
 * ==========
 *  0  | in0
 *  1  | in1
 * 
 */

module mux2 (sel, out, in0, in1);	
   parameter width = 1, prop = 0;   
   input sel;              // The selector
   input [width-1:0] in0;  // Input data
   input [width-1:0] in1;  // Input data
   output [width-1:0] out; // Selected data
   
   assign #(prop) out = sel ? in1 : in0;
endmodule // mux2
